textures/ice/ice
{
	qer_editorimage textures/mappack/ncie.tga
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm slick
	{
		map textures/mappack/ncie.tga
	}
}

textures/ice/ice_nosliding
{
	qer_editorimage textures/mappack/ncie.tga
	surfaceparm nodlight
	surfaceparm nolightmap
	{
		map textures/mappack/ncie.tga
	}
}

textures/fire/geoarenalava
{
	surfaceparm slick
	{
		map textures/holodeck_training/lava2.tga
		blendfunc add
		tcMod transform 1 0 0 1 0 0
		tcGen environment 
	}
}

textures/ice_age/ice_age
{
	qer_editorimage textures/ice_age/ice_age_skybox.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightsubdivide 256
	skyParms env/ice_age/ice_age 128 -
}

textures/ice_age/ice_age_fog
{
	qer_editorimage textures/ice_age/fog_ice_age.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull back
	qer_nocarve
	fogparms ( 1 1 1 ) 6500
}

textures/ice_age/nodraw_water
{
	qer_editorimage textures/ice_age/nodraw_water.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nosteps
	surfaceparm trans
	surfaceparm water
}

textures/ice_age/skybox_faker
{
	surfaceparm nodlight
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
}

textures/ice_age/ice_age_bk
{
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 50
	{
		map textures/ice_age/ice_age_bk.tga
	}
}

textures/ice_age/ice_age_dn
{
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 50
	{
		map textures/ice_age/ice_age_dn.tga
	}
}

textures/ice_age/ice_age_ft
{
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 50
	{
		map textures/ice_age/ice_age_ft.tga
	}
}

textures/ice_age/ice_age_lf
{
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 50
	{
		map textures/ice_age/ice_age_lf.tga
	}
}

textures/ice_age/ice_age_rt
{
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 50
	{
		map textures/ice_age/ice_age_rt.tga
	}
}

textures/ice_age/ice_age_up
{
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 50
	{
		map textures/ice_age/ice_age_up.tga
	}
}

textures/ice_age/flare_red
{
	qer_editorimage textures/singularity/flare_red.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/singularity/flare_red.tga
		blendfunc add
	}
}

textures/ice_age/flare_blue
{
	qer_editorimage textures/singularity/flare_blue.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/singularity/flare_blue.tga
		blendfunc add
	}
}

textures/ice_age/water_ice_age
{
	qer_editorimage textures/holodeck_temple/water1f.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	surfaceparm pointlight
	cull disable
	tessSize 48
	qer_trans 0.25
	{
		map textures/holodeck_temple/water1f.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0.05 -0.03
	}
	{
		map textures/holodeck_temple/water1f.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0.045 0.05
	}
}

textures/ice_age/glass_slide
{
	qer_editorimage textures/engineering/glass1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slick
	surfaceparm trans
	{
		map textures/engineering/glass1.tga
		blendfunc add
	}
	{
		map textures/engineering/glass1.tga
		blendfunc add
		tcGen environment 
	}
}

